-----
DROP TABLE IMRD_F.EN_MRD0500 CASCADE CONSTRAINTS;

--criando a tabela com a PK ID
CREATE TABLE IMRD_F.EN_MRD0500
(
    INC_4080               VARCHAR2(5 BYTE),
    FIIG_4065              VARCHAR2(2048 BYTE),
    MRC_3445               VARCHAR2(2048 BYTE),
    PHYS_DWG_ID_5037       VARCHAR2(8 BYTE),
    DCOD_STYL_RPY_2309     VARCHAR2(2048 BYTE),
    STYL_NBR_FIIG_0768     VARCHAR2(2048 BYTE),
    ID                     NUMBER(19),
    PRIMARY KEY(ID)
)
TABLESPACE IMRD_FTBL
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

--criando os sinonimos publicos
CREATE OR REPLACE PUBLIC SYNONYM EN_MRD0500 FOR IMRD_F.EN_MRD0500;

--dropando a sequence
DROP SEQUENCE IMRD_F.SQ_EN_TABL500;
--criando a sequence
CREATE SEQUENCE IMRD_F.SQ_EN_TABL500
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

--criando indices
CREATE UNIQUE INDEX IDX_MRD0500_INC_FIIG_MRC_STYL ON IMRD_F.EN_MRD0500(INC_4080, FIIG_4065, MRC_3445, STYL_NBR_FIIG_0768) TABLESPACE IMRD_FTBL;
